### R code from vignette source 'laeken-intro.Rnw'

###################################################
### code chunk number 1: laeken-intro.Rnw:104-106
###################################################
options(prompt = "R> ", continue = "+  ", width = 72, useFancyQuotes = FALSE)
library("laeken")


###################################################
### code chunk number 2: laeken-intro.Rnw:180-181 (eval = FALSE)
###################################################
## vignette(package="laeken")


###################################################
### code chunk number 3: laeken-intro.Rnw:263-265
###################################################
data("eusilc")
head(eusilc[, 1:10], 3)


###################################################
### code chunk number 4: laeken-intro.Rnw:292-294
###################################################
data("ses")
head(ses[, 1:7], 3)


###################################################
### code chunk number 5: laeken-intro.Rnw:427-428
###################################################
arpr("eqIncome", weights = "rb050", data = eusilc)


###################################################
### code chunk number 6: laeken-intro.Rnw:443-444
###################################################
arpr("eqIncome", weights = "rb050", p = c(0.4, 0.5, 0.7), data = eusilc)


###################################################
### code chunk number 7: laeken-intro.Rnw:466-467
###################################################
qsr("eqIncome", weights = "rb050", data = eusilc)


###################################################
### code chunk number 8: laeken-intro.Rnw:497-498
###################################################
rmpg("eqIncome", weights = "rb050", data = eusilc)


###################################################
### code chunk number 9: laeken-intro.Rnw:518-519
###################################################
gini("eqIncome", weights = "rb050", data = eusilc)


###################################################
### code chunk number 10: laeken-intro.Rnw:571-572
###################################################
gpg("earningsHour", gender = "sex", weigths = "weights", data = ses)


###################################################
### code chunk number 11: laeken-intro.Rnw:595-597
###################################################
gpg("earningsHour", gender = "sex", weigths = "weights", data = ses, 
    method = "median") 


###################################################
### code chunk number 12: laeken-intro.Rnw:639-640
###################################################
gini("eqIncome", weights = "rb050", data = eusilc)


###################################################
### code chunk number 13: laeken-intro.Rnw:643-644
###################################################
gini(eusilc$eqIncome, weights = eusilc$rb050)


###################################################
### code chunk number 14: laeken-intro.Rnw:762-764
###################################################
a <- arpr("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc)
a


###################################################
### code chunk number 15: laeken-intro.Rnw:789-790
###################################################
subset(a, strata = c("Lower Austria", "Vienna"))


###################################################
### code chunk number 16: laeken-intro.Rnw:890-893
###################################################
hID <- eusilc$db030[which.max(eusilc$eqIncome)]
eqIncomeOut <- eusilc$eqIncome
eqIncomeOut[eusilc$db030 == hID] <- 10000000


###################################################
### code chunk number 17: laeken-intro.Rnw:900-902
###################################################
keep <- !duplicated(eusilc$db030)
eusilcH <- data.frame(eqIncome=eqIncomeOut, db090=eusilc$db090)[keep,]


###################################################
### code chunk number 18: laeken-intro.Rnw:931-932
###################################################
paretoQPlot(eusilcH$eqIncome, w = eusilcH$db090)


###################################################
### code chunk number 19: laeken-intro.Rnw:987-989
###################################################
ts <- paretoScale(eusilcH$eqIncome, w = eusilcH$db090)
ts


###################################################
### code chunk number 20: laeken-intro.Rnw:1056-1058
###################################################
thetaISE(eusilcH$eqIncome, k = ts$k, w = eusilcH$db090)
thetaISE(eusilcH$eqIncome, x0 = ts$x0, w = eusilcH$db090)


###################################################
### code chunk number 21: laeken-intro.Rnw:1090-1092
###################################################
thetaPDC(eusilcH$eqIncome, k = ts$k, w = eusilcH$db090)
thetaPDC(eusilcH$eqIncome, x0 = ts$x0, w = eusilcH$db090)


###################################################
### code chunk number 22: laeken-intro.Rnw:1146-1148
###################################################
fit <- paretoTail(eqIncomeOut, k = ts$k, w = eusilc$db090, 
                  groups = eusilc$db030)


###################################################
### code chunk number 23: laeken-intro.Rnw:1160-1161
###################################################
plot(fit)


###################################################
### code chunk number 24: laeken-intro.Rnw:1187-1189
###################################################
w <- reweightOut(fit, calibVars(eusilc$db040))
gini(eqIncomeOut, w)


###################################################
### code chunk number 25: laeken-intro.Rnw:1197-1200
###################################################
set.seed(123)
eqIncomeRN <- replaceOut(fit)
gini(eqIncomeRN, weights = eusilc$rb050)


###################################################
### code chunk number 26: laeken-intro.Rnw:1206-1208
###################################################
eqIncomeSN <- shrinkOut(fit)
gini(eqIncomeSN, weights = eusilc$rb050)


###################################################
### code chunk number 27: laeken-intro.Rnw:1215-1216
###################################################
gini(eqIncomeOut, weights = eusilc$rb050)


###################################################
### code chunk number 28: laeken-intro.Rnw:1329-1331
###################################################
arpr("eqIncome", weights = "rb050", design = "db040", cluster = "db030", 
     data = eusilc, var = "bootstrap", bootType = "naive", seed = 1234)


###################################################
### code chunk number 29: laeken-intro.Rnw:1422-1425
###################################################
aux <- cbind(calibVars(eusilc$db040), calibVars(eusilc$rb090))
arpr("eqIncome", weights = "rb050", design = "db040", cluster = "db030", 
     data = eusilc, var = "bootstrap", X = aux, seed = 1234)


